csRenderBufferHolder Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csRenderBufferHolder Class Reference
3D

Holder of standard renderbuffers. More...

`#include <ivideo/rndbuf.h>`

Inheritance diagram for csRenderBufferHolder:

List of all members.

## Public Member Functions
| csRenderBufferHolder ()
| initialize
iRenderBufferAccessor * | GetAccessor () const
| Query the accessor.
uint | GetAccessorMask () const
| Query the accessor mask.
iRenderBuffer * | GetRenderBuffer (csRenderBufferName bufferName)
| Get buffer by name.
iRenderBuffer * | GetRenderBufferNoAccessor (csRenderBufferName bufferName)
| Get buffer by name.
void | SetAccessor (iRenderBufferAccessor *a, uint32 mask)
| Set accessor.
void | SetRenderBuffer (csRenderBufferName bufferName, iRenderBuffer *buffer)
| Set renderbuffer.

## Detailed Description

Holder of standard renderbuffers.

@DOC MORE

Definition at line 368 of file rndbuf.h.

## Constructor & Destructor Documentation

csRenderBufferHolder::csRenderBufferHolder | ( |  | ) | `[inline]`

initialize

Definition at line 372 of file rndbuf.h.

## Member Function Documentation

iRenderBufferAccessor* csRenderBufferHolder::GetAccessor | ( |  | ) | const`[inline]`

Query the accessor.

Definition at line 446 of file rndbuf.h.

uint csRenderBufferHolder::GetAccessorMask | ( |  | ) | const`[inline]`

Query the accessor mask.

Definition at line 444 of file rndbuf.h.

iRenderBuffer* csRenderBufferHolder::GetRenderBuffer | ( | csRenderBufferName | bufferName | ) | `[inline]`

Get buffer by name.

If an accessor is set, it will first be called, after that the buffer will be fetched.

Definition at line 405 of file rndbuf.h.

iRenderBuffer* csRenderBufferHolder::GetRenderBufferNoAccessor | ( | csRenderBufferName | bufferName | ) | `[inline]`

Get buffer by name.

This version won't call accessor

Definition at line 419 of file rndbuf.h.

void csRenderBufferHolder::SetAccessor | ( | iRenderBufferAccessor * | a,
|  | uint32 | mask
| ) |  | `[inline]`

Set accessor.

Definition at line 438 of file rndbuf.h.

void csRenderBufferHolder::SetRenderBuffer | ( | csRenderBufferName | bufferName,
|  | iRenderBuffer * | buffer
| ) |  | `[inline]`

Set renderbuffer.

Definition at line 429 of file rndbuf.h.

The documentation for this class was generated from the following file:

- ivideo/rndbuf.h